curl --request GET \
--url https://staging.api.us.aptlydone.com/actions/v1/actions/action-count \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/actions/v1/actions/action-count"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/actions/v1/actions/action-count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/actions/v1/actions/action-count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/actions/v1/actions/action-count"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/actions/v1/actions/action-count")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/actions/v1/actions/action-count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-08T06:27:47.328Z",
"message": "Success",
"data": {
"active": "10",
"inActive": 10,
"mine": 10,
"all": 10
}
}Count actions
curl --request GET \
--url https://staging.api.us.aptlydone.com/actions/v1/actions/action-count \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/actions/v1/actions/action-count"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/actions/v1/actions/action-count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/actions/v1/actions/action-count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/actions/v1/actions/action-count"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/actions/v1/actions/action-count")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/actions/v1/actions/action-count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-08T06:27:47.328Z",
"message": "Success",
"data": {
"active": "10",
"inActive": 10,
"mine": 10,
"all": 10
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Tenant ID
"98a113d3-a413-4e85-9df7-a816b22884f9"
Filter type (all, active, inactive, mine)
all, active, inactive, mine Selected tab for count calculation (all, active, inactive, mine). Only used in count API for performance optimization.
all, active, inactive, mine Action status IDs (comma separated)
"a647704a-2a94-41f6-a60c-b358756f01d4, c14747ed-79e8-47d5-8112-e6662346d488"
Action priority IDs (comma separated)
"bd5557d4-e850-44a4-8a8c-a710440d4ade, 07fecaa8-63ac-4695-8d1b-6534e9cb7d35"
Action type IDs (comma separated)
"b26db68d-a054-45a1-a78a-f5b25bfbe4dc, 209c3761-75fb-44f4-84fd-e5ee4690b730"
Owner IDs (comma separated)
"94f4dcca-6f10-4383-9736-c2d03bb25dc3, cab7ba15-6a26-45e3-98c3-ad61999bd05c"
Assignee IDs (comma separated)
"3bb6f0a3-7da8-4bed-86aa-bb5e97200fb1, 76906efb-b353-435e-aae4-0d88566dce92"
Search term for action name or description
"Financial"
Duration (in month)
3
Creation date range - start date
Creation date range - end date
Due date date time for action
"2025-03-05T11:49:50.577Z"
Due date date time for action
"2025-03-15T11:49:50.577Z"
Start date for filtering (searches both creation and update dates)
End date for filtering (searches both creation and update dates)
Response
Action Counts fetched successfully
Was this page helpful?